Subject: Re: bug#31765: 26.1; Can't define alias for git in eshell

From: Noam Postavsky <[email-masked]>
Date: Wed, 11 Jul 2018 09:11:50 -0400

unarchive 27954
forcemerge 27954 31765
quit

Carlos Pita <[email-masked]> writes:

> By trial & error I came to the conclusion that the "juxtaposition"
> case is not valid anymore. The example in the documentation:
>
>      > For example, ll is a common alias for ls -l, and would be defined
>      > with the command invocation ‘alias ll ls -l’; with this defined,
>      > running ‘ll foo’ in Eshell will actually run ‘ls -l foo’.
>
> plainly fails, it doesn't list foo but the current directory, foo is
> simply ignored.

The manual on the web now seems to be updated.

https://www.gnu.org/software/emacs/manual/html_node/eshell/Aliases.html